#ifndef _LQR_H_
#define	_LQR_H_

/*
 *  Structure of LQR packet defined in RFC1333
 */
struct lqrdata {
  u_long  MagicNumber;
  u_long  LastOutLQRs;
  u_long  LastOutPackets;
  u_long  LastOutOctets;
  u_long  PeerInLQRs;
  u_long  PeerInPackets;
  u_long  PeerInDiscards;
  u_long  PeerInErrors;
  u_long  PeerInOctets;
  u_long  PeerOutLQRs;
  u_long  PeerOutPackets;
  u_long  PeerOutOctets;
};

struct lqrsave {
  u_long  SaveInLQRs;
  u_long  SaveInPackets;
  u_long  SaveInDiscards;
  u_long  SaveInErrors;
  u_long  SaveInOctets;
};

struct lqrdata MyLqrData, HisLqrData;
struct lqrsave HisLqrSave;

/*
 *  We support LQR and ECHO as LQM method
 */
#define	LQM_LQR	  1
#define	LQM_ECHO  2

extern void LqrDump(char *, struct lqrdata *);
extern void LqrChangeOrder(struct lqrdata *, struct lqrdata *);
extern void StartLqm(void);
extern void StopLqr(int);
extern void RecvEchoLqr(struct mbuf *);
#endif
